package com.ssj.dao.weixin.story.dao;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/** 
 * @author  ZhangCaibao 
 * @version 2017年8月22日 上午10:10:06 
 * 类说明 
 */
public interface StoryQueryDao {

	 public List<Map<String,Object>> findByStoryTaskId(String storyTaskId);
	 
	 public List<Map<String,Object>> findByStoryIdAndNum(String storyId,String num,String userId);
	 
	 public List<Map<String,Object>> findByUserIdList(String userId,String storyTaskId);

	 public Map<String, Object> findGrImg(String isbn13);
	
	 public List<Map<String, Object>> randBookByGrLists(String filegr);
	 
	 public List<Map<String, Object>> randBookByKeywordLists(String keywordFeel);
	 
	 public Page<Map<String, Object>> integralRank(Map<String, Object> searchParams, Pageable pageable);
	
	
}
